<template>
    <div v-show="showBanner" id="cookie_banner_footer" class="cookie_banner_footer">
        <b>Use of cookies</b><br>
        We use cookies to collect visitor statistics. The collected data is anonymized and will not be shared with third parties.<br>
        For more information on cookies, please see our <a href="/privacy.html" target="_blank"><ins>privacy policy</ins>.<br></a>
        <button @click="setMatomoOptIn()" type="button" id="btnCookieAll" class="btn btn-secondary normal_button">Accept</button>
        <button @click="deleteMatomoCookies()" type="button" id="btnCookieFunctions" class="btn btn-secondary ghost_button">Only accept necessary cookies</button>
        <div id="matomo-opt-out"></div>
        <script src="https://matomo.gwdg.de/index.php?module=CoreAdminHome&action=optOutJS&language=de"></script>
    </div>
</template>

<script>

// Return the browser's do-not-track option
// - true: DNT is enabled
// - false: DNT is disabled
// - null: DNT is unset
function doNotTrack(){
    var dnt = (typeof navigator.doNotTrack !== 'undefined') ? navigator.doNotTrack
            : (typeof window.doNotTrack !== 'undefined') ? window.doNotTrack
            : (typeof navigator.msDoNotTrack !== 'undefined') ? navigator.msDoNotTrack
            : null;
    if (parseInt(dnt) === 0 || dnt == "no") {
        return false;
    }
    else if (parseInt(dnt) === 1 || dnt == "yes") {
        return true;
    }
    return null;
}

export default {
  name: "CookieBanner",
  data() {
    return {
      showBanner: false,
    }
  },
  methods: {
    deleteMatomoCookies() {
        this.showBanner = false;
        window.MatomoConsent.consentRevoked();
        showContent(false);
        this.showOptStatus();
    },
    setMatomoOptIn() {
        this.showBanner = false;
        window.MatomoConsent.consentGiven();
        showContent(true);
        this.showOptStatus();
    },
    showOptStatus(){
        if(window.MatomoConsent.getCookie(window.MatomoConsent.CONSENT_COOKIE_NAME)){
            console.log("Matomo: Opted-In");
        }
        if(window.MatomoConsent.getCookie(window.MatomoConsent.CONSENT_REMOVED_COOKIE_NAME)){
            console.log("Matomo: Opted-Out");
        }
    }
  },
  mounted() {
    if(window.MatomoConsent){
        if(doNotTrack()){
            this.deleteMatomoCookies();
        }
        if(!(window.MatomoConsent.getCookie(window.MatomoConsent.CONSENT_COOKIE_NAME) || window.MatomoConsent.getCookie(window.MatomoConsent.CONSENT_REMOVED_COOKIE_NAME))){
            this.showBanner = true;
        }
        else {
            this.showOptStatus();
        }
    }
  },
};
</script>

<style scoped>
#cookie_banner_footer {
    padding-top: 10px;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background: #13306a;
    color: white;
    text-align: center;
    z-index: 9999;
}

#matomo-opt-out {
    display: none;
}

.ghost_button {
    background-color: #102f68;
    border: 1px solid #fff;
    color: #fff;
    font-size: 15px;
    font-weight: 500;
    margin: 10px;
    outline: none;
    padding: 10px 15px;
    text-decoration: none;
    white-space: normal;
    width: 320px;
}

.ghost_button:hover {
    background-color: #eeeeee;
    color: black !important;
}

.normal_button {
    background-color: #eeeeee;
    color: #181818;
    font-size: 15px;
    font-weight: 600;
    margin: 10px;
    padding: 10px 15px;
    width:320px;
}

.normal_button:hover {
    background-color: #102f68;
    border: 1px solid white;
    color: white !important;
}

</style>